=== debian/changelog ===
mbpfan (2.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #829505)

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 05 Nov 2017 15:36:08 +0800
