=== debian/control ===
Source: mbpfan
Section: utils
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.1.1
Homepage: https://github.com/dgraziotin/mbpfan
Vcs-Git: https://anonscm.debian.org/collab-maint/mbpfan.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mbpfan.git

Package: mbpfan
Architecture: any
Depends: lsb-base,
         ${shlibs:Depends},
         ${misc:Depends}
Description: fan control daemon for Apple Macbooks
 mbpfan is a daemon that uses input from coretemp module and sets the fan speed
 using the applesmc module. This enhanced version assumes any number of
 processors and fans (max. 10).
 .
  * It only uses the temperatures from the processors as input.
  * It requires coretemp and applesmc kernel modules to be loaded.
  * It requires root use
  * It daemonizes or stays in foreground
  * Verbose mode for both syslog and stdout
  * Users can configure it using the file /etc/mbpfan.conf
