=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

debian/mbpfan.init:
	cp mbpfan.init.debian $@

debian/mbpfan.service:
	cp mbpfan.service $@

override_dh_installinit: debian/mbpfan.init debian/mbpfan.service
	dh_installinit
