=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%mbpfan-$1.tar.gz%" \
   https://github.com/dgraziotin/mbpfan/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
