## mbpfan 2.1.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 MAN = mbpfan.8.gz
 
 COPT = 
-CC = cc
+CC ?= cc
 OBJFLAG = -o
 BINFLAG = -o
 INCLUDES =
