=== debian/changelog ===
mbpfan (2.1.1-2) unstable; urgency=medium

  * [6c64c55] Pass CPPFLAGS to $(CC) while compiling

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 11 Sep 2019 12:41:07 +0800

mbpfan (2.1.1-1) unstable; urgency=medium

  * [b47d961] Ensure that mbpfan.service is enabled and restarted after upgrade
  * [104eede] Update build-deps for dh_systemd_* commands
  * [9e53413] Call dh --with systemd
  * [ae28e89] New upstream version 2.1.1
  * [612f7d7] Update vcs-* urls

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 03 Sep 2019 11:34:00 +0800
