=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9),
+               debhelper (>= 9.20160709~) | dh-systemd
 Standards-Version: 4.1.1
 Homepage: https://github.com/dgraziotin/mbpfan
-Vcs-Git: https://anonscm.debian.org/collab-maint/mbpfan.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mbpfan.git
+Vcs-Git: https://salsa.debian.org/debian/mbpfan.git
+Vcs-Browser: https://salsa.debian.org/debian/mbpfan
 
 Package: mbpfan
 Architecture: any
