=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with systemd

debian/mbpfan.init:
	cp mbpfan.init.debian $@

debian/mbpfan.service:
	cp mbpfan.service $@

override_dh_installinit: debian/mbpfan.init debian/mbpfan.service
	dh_systemd_enable
	dh_installinit --restart-after-upgrade
	dh_systemd_start --restart-after-upgrade
