## mbpfan 2.2.1

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,8 @@
 INCLUDES =
 LIBS = -lm
 LIBPATH =
-CFLAGS +=  $(COPT) -g $(INCLUDES) -Wall -Wextra -Wno-unused-function
-LDFLAGS += $(LIBPATH) -g $(LIBS) #-Wall
+CFLAGS += $(COPT) -g $(INCLUDES) -Wall -Wextra -Wno-unused-function -std=c99 -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=500
+LDFLAGS += $(LIBPATH) -g
 
 OBJS := $(patsubst %.$(C),%.$(OBJ),$(wildcard $(SOURCE_PATH)*.$(C)))
