=== debian/changelog ===
mbpfan (2.2.1-1) unstable; urgency=medium

  * [9cadd69] New upstream version 2.2.1
  * [8588062] Move PIDFile to /run/

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 25 May 2020 14:00:15 +0800

mbpfan (2.1.1-3) unstable; urgency=medium

  * [8bd3c21] Bump Standards-Version to 4.4.1 and debhelper compat level to 12
    (Closes: #958636)
  * [c7f458f] Move systemd installation bits to dh_installsystemd
  * [da055af] Build-dep on init-system-helpers
    dh_installsystemd's postinst script needs it

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 24 Apr 2020 14:15:28 +0800
