=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9),
-               debhelper (>= 9.20160709~) | dh-systemd
-Standards-Version: 4.1.1
+Build-Depends: debhelper-compat (= 12),
+Standards-Version: 4.4.1
 Homepage: https://github.com/dgraziotin/mbpfan
 Vcs-Git: https://salsa.debian.org/debian/mbpfan.git
 Vcs-Browser: https://salsa.debian.org/debian/mbpfan
 
 Package: mbpfan
 Architecture: any
+Pre-Depends: init-system-helpers (>= 1.58)
 Depends: lsb-base,
          ${shlibs:Depends},
          ${misc:Depends}
