## mbpfan 2.3.0

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 OBJ = o
 OUTPUT_PATH = bin/
 SOURCE_PATH = src/
+TESTS_PATH = tests/
+TESTS_BIN = bin/mbpfan-tests
 BIN = bin/mbpfan
 CONF = mbpfan.conf
 DOC = README.md
@@ -20,24 +22,32 @@
 LDFLAGS += $(LIBPATH) -g
 
 OBJS := $(patsubst %.$(C),%.$(OBJ),$(wildcard $(SOURCE_PATH)*.$(C)))
+TESTS_OBJS := $(patsubst %.$(C),%.$(OBJ),$(wildcard $(TESTS_PATH)*.$(C)))
+TESTS_OBJS += $(filter-out %main.$(OBJ),$(OBJS))
+
+.PHONY: all clean tests uninstall install rebuild
 
 %.$(OBJ):%.$(C)
 	mkdir -p bin
 	@echo Compiling $(basename $<)...
 	$(CC) -c $(CFLAGS) $< $(OBJFLAG)$@
 
-all: $(BIN)
+all: $(BIN) $(TESTS_BIN)
 
 $(BIN): $(OBJS)
 	@echo Linking...
 	$(CC) $(LDFLAGS) $^ $(LIBS) $(BINFLAG) $(BIN)
 
+$(TESTS_BIN): $(TESTS_OBJS)
+	@echo Linking...
+	$(CC) $(LDFLAGS) $^ $(LIBS) $(BINFLAG) $(TESTS_BIN)
+
 clean:
 	rm -rf $(SOURCE_PATH)*.$(OBJ) $(BIN)
+	rm -rf $(TESTS_PATH)*.$(OBJ) $(TESTS_BIN)
 
-tests:
-	make install
-	/usr/sbin/mbpfan -f -v -t
+tests: all
+	./bin/mbpfan-tests
 
 uninstall:
 	rm /usr/sbin/mbpfan
@@ -46,7 +56,7 @@
 	rm /usr/share/man/man8/mbpfan.8.gz
 	rm -rf /usr/share/doc/mbpfan
 
-install: $(BIN)
+install: all
 	install -d $(DESTDIR)/usr/sbin
 	install -d $(DESTDIR)/etc
 	install -d $(DESTDIR)/lib/systemd/system
