=== debian/changelog ===
mbpfan (2.3.0-1) unstable; urgency=medium

  * [036cff0] New upstream version 2.3.0
  * [0e8ca5b] Refresh patches
  * [5050621] Update debian/copyright file

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 07 Mar 2022 15:07:58 +0800
