## mbpfan 2.4.0

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 TESTS_BIN = bin/mbpfan-tests
 BIN = bin/mbpfan
 CONF = mbpfan.conf
+DEPEND_MODULE = mbpfan.depend.conf
 DOC = README.md
 MAN = mbpfan.8.gz
 
@@ -52,6 +53,7 @@
 uninstall:
 	rm /usr/sbin/mbpfan
 	rm /etc/mbpfan.conf
+	rm /lib/modules-load.d/mbpfan.depend.conf
 	rm /lib/systemd/system/mbpfan.service
 	rm /usr/share/man/man8/mbpfan.8.gz
 	rm -rf /usr/share/doc/mbpfan
@@ -61,8 +63,10 @@
 	install -d $(DESTDIR)/etc
 	install -d $(DESTDIR)/lib/systemd/system
 	install -d $(DESTDIR)/usr/share/doc/mbpfan
+	install -d $(DESTDIR)/lib/modules-load.d
 	install $(BIN) $(DESTDIR)/usr/sbin
 	install -m644 $(CONF) $(DESTDIR)/etc
+	install -m644 $(DEPEND_MODULE) $(DESTDIR)/lib/modules-load.d
 	install -m644 $(DOC) $(DESTDIR)/usr/share/doc/mbpfan
 	install -d $(DESTDIR)/usr/share/man/man8
 	install -m644 $(MAN) $(DESTDIR)/usr/share/man/man8
