=== debian/changelog ===
mbpfan (2.4.0-2) unstable; urgency=medium

  * Reupload to unstable

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 09 Jan 2024 12:54:03 +0800

mbpfan (2.4.0-1) experimental; urgency=medium

  * [1c8d9c2] New upstream version 2.4.0
  * [3999a29] Refresh patches
  * [53c1a5a] Drop lsb-base dependency.
    That's an obsolete package so we no longer should depend on it

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 03 May 2023 14:18:15 +0800
