=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper-compat (= 12),
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13),
+Standards-Version: 4.6.1
 Homepage: https://github.com/dgraziotin/mbpfan
 Vcs-Git: https://salsa.debian.org/debian/mbpfan.git
 Vcs-Browser: https://salsa.debian.org/debian/mbpfan
@@ -11,8 +11,7 @@
 Package: mbpfan
 Architecture: any
 Pre-Depends: init-system-helpers (>= 1.58)
-Depends: lsb-base,
-         ${shlibs:Depends},
+Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: fan control daemon for Apple Macbooks
  mbpfan is a daemon that uses input from coretemp module and sets the fan speed
